> This page is for Cash App Pay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.cash.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.cash.app/_mcp/server.

# Retrieve balance

GET https://api.cash.app/network/v1/balances/{balance_id}

Balances is a **beta** feature. We're actively improving this API based on your feedback.

Retrieves a balance by its ID.

Scopes: `BALANCES_READ`

Reference: https://developers.cash.app/cash-app-pay-partner-api/api-reference/network-api/retrieve-balance

## Servers

- `https://api.cash.app/network/v1` (Production, default)
- `https://sandbox.api.cash.app/network/v1` (Sandbox)

## Request

### Path parameters

- `balance_id` (string, required) — The ID of the balance to retrieve.

### Query parameters

- `grant_id` (string, optional) — ID of the grant that authorizes reading the customer's balances. This grant is created when a customer approves a `CHECKING_BALANCE` action in the Customer Request API.

## Response

### 200

OK

- `balance` (Balance, required)

## Errors

### 404 Retrieve Balance Request Not Found Error

Not Found

- `errors` (list of Error, required)

## Types

### Balance

- `id` (string, required) — Unique identifier for this balance issued by Cash App. Min length: `1` Max length: `256`
- `customer_id` (string, required) — ID of the customer associated with this balance. Min length: `1` Max length: `128`
- `type` (enum, required) — The type of balance.
  - Allowed values: `CHECKING`
- `currency` (enum, required) — Indicates the country associated with an entity. Values are from the [ISO-4217 Alpha-3](https://www.iso.org/iso-4217-currency-codes.html) specification. Current values: - `USD`: United States Dollar
  - Allowed values: `USD`
- `amount` (integer, required) — The balance amount, in the lowest denomination of the currency (for example, cents for USD).
- `created_at` (datetime, optional) — When this balance was created, in [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339) format (UTC).
- `updated_at` (datetime, optional) — When this balance was last updated, in [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339) format (UTC).

### Error

Represents an error encountered during a request to the API.

- `category` (enum, required) — The high-level reason the error occurred.
  - Allowed values: `API_ERROR`, `AUTHENTICATION_ERROR`, `BRAND_ERROR`, `DISPUTE_ERROR`, `MERCHANT_ERROR`, `INVALID_REQUEST_ERROR`, `PAYMENT_PROCESSING_ERROR`, `RATE_LIMIT_ERROR`, `WEBHOOK_ERROR`, `API_KEY_ERROR`, `GRANT_ERROR`
- `code` (string, required) — A unique identifier for the specific type of error that occurred. For more information, see [Error Code Reference](/cash-app-pay-partner-api/guides/technical-guides/api-fundamentals/errors/error-code-reference). Min length: `1`
- `detail` (string, optional) — Human-readable description of why the error occurred and how to resolve it. Min length: `1`
- `field` (string, optional) — The field in the request that caused the error, using array and object dot notation. Min length: `1`

## Examples

**Response**

```json
{
  "balance": {
    "id": "BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08",
    "customer_id": "CST_AQmxh4y_QGoNNIG5NUw0jttqyYedL1LklACQdyJ3H-Vs6WmLtP6A_C7XjQNohvY",
    "type": "CHECKING",
    "currency": "USD",
    "amount": 1500,
    "created_at": "2024-01-01T12:00:00Z",
    "updated_at": "2024-01-01T12:00:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.cash.app/network/v1/balances/BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08"

querystring = {"grant_id":"GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.cash.app/network/v1/balances/BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08?grant_id=GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cash.app/network/v1/balances/BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08?grant_id=GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cash.app/network/v1/balances/BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08?grant_id=GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.cash.app/network/v1/balances/BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08?grant_id=GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.cash.app/network/v1/balances/BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08?grant_id=GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cash.app/network/v1/balances/BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08?grant_id=GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cash.app/network/v1/balances/BAL_1a5ba026f4c8977d63f0cbdcfe62a13dc077b2f4ab6624b19c4dfd8f4eb26644a12c5b78d0e34d19e460da2af7f31e08?grant_id=GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```